Get Chat Models List
curl --request GET \
--url https://api.weryai.com/v1/chat/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.weryai.com/v1/chat/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.weryai.com/v1/chat/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"models": [
{
"model": "GEMINI_25_FLASH",
"desc": "Gemini-2.5-Flash",
"max_tokens": 32768,
"input_price": 1,
"output_price": 0.2
},
{
"model": "GPT_4O",
"desc": "GPT-4o",
"max_tokens": 16384,
"input_price": 2.8,
"output_price": 0.6
}
]
}{
"status": 1002,
"desc": "Authentication failed",
"message": "Invalid API Key"
}Chat
Get Chat Models List
Get the list of available chat models with their capabilities and pricing information
GET
/
v1
/
chat
/
models
Get Chat Models List
Authorizations
Authenticate using Bearer token. Get your API Key from the WeryAI Console.
Example: Authorization: Bearer sk-xxxxxxxxxxxxxxxx
Response
Query successful
Chat model list response, returned directly without ApiResult wrapper
List of available chat models
Show child attributes
Show child attributes
⌘I
